# dex_platform/configs/backtests/check_usdc_aerodrome_2pct_fee_replay_v1.yaml

pool:
  network: base
  dex: aerodrome_slipstream
  pair: CHECK/USDC
  address: "0x5a7b4970b2610aee4776a6944d9f2171ee6060b0"
  token0: USDC
  token0_decimals: 6
  token1: CHECK
  token1_decimals: 18

fee_scenarios:
  # pool_metadata.json showed fee=2685. If interpreted like Uniswap v3 fee units, this is 0.2685%.
  metadata_0_2685: 0.002685

  # GeckoTerminal/discovery label said 2%. Keep as optimistic upper-bound scenario.
  label_2pct: 0.02

strategies:
  - name: wide_80_5
    lower_pct: 80
    upper_pct: 5
  - name: wide_60_5
    lower_pct: 60
    upper_pct: 5
  - name: wide_50_10
    lower_pct: 50
    upper_pct: 10
  - name: oleg_25_18
    lower_pct: 25
    upper_pct: 18
  - name: adaptive_60_5_6h
    lower_pct: 60
    upper_pct: 5
    rebalance_hours: 6
    gas_per_rebalance_usd: 0.05
    swap_cost_bps: 5
  - name: adaptive_80_5_12h
    lower_pct: 80
    upper_pct: 5
    rebalance_hours: 12
    gas_per_rebalance_usd: 0.05
    swap_cost_bps: 5
